Unable to start redmine

Added by Grigory Petrov almost 7 years ago

Hello.

I'm trying to start a redmine on following configuration:

OS: Mac OS X Snow Leopard with all updates.
Ruby: 1.8.7
Rails: 2.3.5
Rack: 1.0.1
with following commands:

svn checkout redmine.rubyforge.org/svn/tags/1.0.2 redmine
cd redmine
cp config/database.yml.example config/database.yml
vi config/database.yml
Changed production and development to SQLite
rake generate_session_store
RAILS_ENV=development rake db:migrate
RAILS_ENV=development rake redmine:load_default_data
ruby script/server -e development

Server starts OK and shows redmine welcome page at http://0.0.0.0:3000, but after logging in as admin/admin and clicking on the "profile" link, i have:

ArgumentError in My#account
Showing app/views/my/_sidebar.rhtml where line #4 raised:
wrong number of arguments (2 for 0)

Extracted source (around line #4):
1: <%=l(:label_my_account)%>
2: 
3: <%=l(:field_login)%>: <%= @user.login %>
4: <%=l(:field_created_on)%>: <%= format_time(@user.created_on) %>
5: 
6: 
7: <%= l(:label_feeds_access_key) %>

Trace of template inclusion: app/views/my/account.rhtml
RAILS_ROOT: /Users/eye/rails/redmine


Same error with trunk and with production. I can't understood the ruby error since in code it's a 2 arguments call for 2 parameters method but error states that method has 0 parameters. Any hints what i'm doing wrong?

Replies (7)

RE: Unable to start redmine - Added by Felix Schäfer almost 7 years ago

What redmine version do you use, and what versions of the i18n gem do you have installed (gem list).

RE: Unable to start redmine - Added by Grigory Petrov almost 7 years ago

I have tried both 1.0.2 redmine (see a svn command in my post) and trunk. Same error on both.
i18n gem version is 0.4.2

RE: Unable to start redmine - Added by Felix Schäfer almost 7 years ago

Your i18n is too new, you need 0.4.1 at the most (works but with a workaround in redmine), or even better 0.3.7.

RE: Unable to start redmine - Added by Grigory Petrov almost 7 years ago

Thanks, it works with 0.3.7
Must i file a bug that install documentation miss this and is incorrect?

RE: Unable to start redmine - Added by Felix Schäfer almost 7 years ago

Mmh, there is a fix in trunk and latest stable that should make redmine work with i18n 0.4, but it seems they have changed stuff again in 0.4.2. Please post a bug about the 0.4.2 incompatibility and assign it to me, thanks.

(1-7/7)